/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagClient;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagDsp;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagUtilizationType;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.BackclaimInProgress;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidMetadata;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidMetadataDetails;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidS3Path;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ClientToDsp;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CommercialOffers;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CurrencyRate;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrMetadata;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrMetadataConfig;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStatistics;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStatisticsSophia;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStepsMonitoring;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrUnidentified;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ImportiAnticipo;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.Invoice;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceAccantonamento;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceItem;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceItemToCcid;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceLog;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceReclamo;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ItemInvoiceReason;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmBackclaimStatistics;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizioneCarico;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizioneCaricoCcid;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizione_648;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfConfiguration;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfConfigurationSettings;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfSetting;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.RightSplit;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.SocietaTutela;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.UnidentifiedSongDsr;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.AnagClientRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.AnagDspRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.AnagUtilizationTypeRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.BackclaimInProgressRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.CcidMetadataDetailsRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.CcidMetadataRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.CcidS3PathRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.ClientToDspRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.CommercialOffersRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.CurrencyRateRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.DsrMetadataConfigRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.DsrMetadataRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.DsrStatisticsRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.DsrStatisticsSophiaRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.DsrStepsMonitoringRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.DsrUnidentifiedRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.ImportiAnticipoRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.InvoiceAccantonamentoRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.InvoiceItemRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.InvoiceItemToCcidRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.InvoiceLogRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.InvoiceReclamoRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.InvoiceRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.ItemInvoiceReasonRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.MmBackclaimStatisticsRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.MmRipartizioneCaricoCcidRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.MmRipartizioneCaricoRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.MmRipartizione_648Record;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.PerfConfigurationRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.PerfConfigurationSettingsRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.PerfSettingRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.RightSplitRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.SocietaTutelaRecord;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records.UnidentifiedSongDsrRecord;

import javax.annotation.Generated;

import org.jooq.ForeignKey;
import org.jooq.Identity;
import org.jooq.UniqueKey;
import org.jooq.impl.Internal;
import org.jooq.types.UInteger;


/**
 * A class modelling foreign key relationships and constraints of tables of 
 * the <code></code> schema.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Keys {

    // -------------------------------------------------------------------------
    // IDENTITY definitions
    // -------------------------------------------------------------------------

    public static final Identity<AnagClientRecord, Integer> IDENTITY_ANAG_CLIENT = Identities0.IDENTITY_ANAG_CLIENT;
    public static final Identity<BackclaimInProgressRecord, Short> IDENTITY_BACKCLAIM_IN_PROGRESS = Identities0.IDENTITY_BACKCLAIM_IN_PROGRESS;
    public static final Identity<CcidMetadataRecord, Long> IDENTITY_CCID_METADATA = Identities0.IDENTITY_CCID_METADATA;
    public static final Identity<CcidMetadataDetailsRecord, Long> IDENTITY_CCID_METADATA_DETAILS = Identities0.IDENTITY_CCID_METADATA_DETAILS;
    public static final Identity<CcidS3PathRecord, Integer> IDENTITY_CCID_S3_PATH = Identities0.IDENTITY_CCID_S3_PATH;
    public static final Identity<ClientToDspRecord, Integer> IDENTITY_CLIENT_TO_DSP = Identities0.IDENTITY_CLIENT_TO_DSP;
    public static final Identity<CommercialOffersRecord, Integer> IDENTITY_COMMERCIAL_OFFERS = Identities0.IDENTITY_COMMERCIAL_OFFERS;
    public static final Identity<DsrMetadataConfigRecord, Integer> IDENTITY_DSR_METADATA_CONFIG = Identities0.IDENTITY_DSR_METADATA_CONFIG;
    public static final Identity<ImportiAnticipoRecord, Integer> IDENTITY_IMPORTI_ANTICIPO = Identities0.IDENTITY_IMPORTI_ANTICIPO;
    public static final Identity<InvoiceRecord, Integer> IDENTITY_INVOICE = Identities0.IDENTITY_INVOICE;
    public static final Identity<InvoiceAccantonamentoRecord, Integer> IDENTITY_INVOICE_ACCANTONAMENTO = Identities0.IDENTITY_INVOICE_ACCANTONAMENTO;
    public static final Identity<InvoiceItemRecord, Integer> IDENTITY_INVOICE_ITEM = Identities0.IDENTITY_INVOICE_ITEM;
    public static final Identity<InvoiceItemToCcidRecord, UInteger> IDENTITY_INVOICE_ITEM_TO_CCID = Identities0.IDENTITY_INVOICE_ITEM_TO_CCID;
    public static final Identity<InvoiceLogRecord, Integer> IDENTITY_INVOICE_LOG = Identities0.IDENTITY_INVOICE_LOG;
    public static final Identity<InvoiceReclamoRecord, Integer> IDENTITY_INVOICE_RECLAMO = Identities0.IDENTITY_INVOICE_RECLAMO;
    public static final Identity<ItemInvoiceReasonRecord, Integer> IDENTITY_ITEM_INVOICE_REASON = Identities0.IDENTITY_ITEM_INVOICE_REASON;
    public static final Identity<MmBackclaimStatisticsRecord, Long> IDENTITY_MM_BACKCLAIM_STATISTICS = Identities0.IDENTITY_MM_BACKCLAIM_STATISTICS;
    public static final Identity<MmRipartizione_648Record, Long> IDENTITY_MM_RIPARTIZIONE_648 = Identities0.IDENTITY_MM_RIPARTIZIONE_648;
    public static final Identity<MmRipartizioneCaricoRecord, Long> IDENTITY_MM_RIPARTIZIONE_CARICO = Identities0.IDENTITY_MM_RIPARTIZIONE_CARICO;
    public static final Identity<MmRipartizioneCaricoCcidRecord, Long> IDENTITY_MM_RIPARTIZIONE_CARICO_CCID = Identities0.IDENTITY_MM_RIPARTIZIONE_CARICO_CCID;
    public static final Identity<PerfConfigurationRecord, Integer> IDENTITY_PERF_CONFIGURATION = Identities0.IDENTITY_PERF_CONFIGURATION;
    public static final Identity<PerfSettingRecord, Integer> IDENTITY_PERF_SETTING = Identities0.IDENTITY_PERF_SETTING;
    public static final Identity<RightSplitRecord, Long> IDENTITY_RIGHT_SPLIT = Identities0.IDENTITY_RIGHT_SPLIT;
    public static final Identity<SocietaTutelaRecord, Integer> IDENTITY_SOCIETA_TUTELA = Identities0.IDENTITY_SOCIETA_TUTELA;

    // -------------------------------------------------------------------------
    // UNIQUE and PRIMARY KEY definitions
    // -------------------------------------------------------------------------

    public static final UniqueKey<AnagClientRecord> KEY_ANAG_CLIENT_PRIMARY = UniqueKeys0.KEY_ANAG_CLIENT_PRIMARY;
    public static final UniqueKey<AnagDspRecord> KEY_ANAG_DSP_PRIMARY = UniqueKeys0.KEY_ANAG_DSP_PRIMARY;
    public static final UniqueKey<AnagDspRecord> KEY_ANAG_DSP_CODE_UNIQUE = UniqueKeys0.KEY_ANAG_DSP_CODE_UNIQUE;
    public static final UniqueKey<AnagDspRecord> KEY_ANAG_DSP_NAME_UNIQUE = UniqueKeys0.KEY_ANAG_DSP_NAME_UNIQUE;
    public static final UniqueKey<AnagUtilizationTypeRecord> KEY_ANAG_UTILIZATION_TYPE_PRIMARY = UniqueKeys0.KEY_ANAG_UTILIZATION_TYPE_PRIMARY;
    public static final UniqueKey<BackclaimInProgressRecord> KEY_BACKCLAIM_IN_PROGRESS_PRIMARY = UniqueKeys0.KEY_BACKCLAIM_IN_PROGRESS_PRIMARY;
    public static final UniqueKey<CcidMetadataRecord> KEY_CCID_METADATA_IDX_UQ__CCID_DSR_CCID_METADATA = UniqueKeys0.KEY_CCID_METADATA_IDX_UQ__CCID_DSR_CCID_METADATA;
    public static final UniqueKey<CcidMetadataRecord> KEY_CCID_METADATA_PRIMARY = UniqueKeys0.KEY_CCID_METADATA_PRIMARY;
    public static final UniqueKey<CcidMetadataDetailsRecord> KEY_CCID_METADATA_DETAILS_PRIMARY = UniqueKeys0.KEY_CCID_METADATA_DETAILS_PRIMARY;
    public static final UniqueKey<CcidMetadataDetailsRecord> KEY_CCID_METADATA_DETAILS_CCID_METADATA_DETAILS_UNIQUE_ID_DSR_SOCIETA_IDX = UniqueKeys0.KEY_CCID_METADATA_DETAILS_CCID_METADATA_DETAILS_UNIQUE_ID_DSR_SOCIETA_IDX;
    public static final UniqueKey<CcidS3PathRecord> KEY_CCID_S3_PATH_PRIMARY = UniqueKeys0.KEY_CCID_S3_PATH_PRIMARY;
    public static final UniqueKey<CcidS3PathRecord> KEY_CCID_S3_PATH_IDX_UQ_DSR_CCID_PATH = UniqueKeys0.KEY_CCID_S3_PATH_IDX_UQ_DSR_CCID_PATH;
    public static final UniqueKey<ClientToDspRecord> KEY_CLIENT_TO_DSP_PRIMARY = UniqueKeys0.KEY_CLIENT_TO_DSP_PRIMARY;
    public static final UniqueKey<CommercialOffersRecord> KEY_COMMERCIAL_OFFERS_PRIMARY = UniqueKeys0.KEY_COMMERCIAL_OFFERS_PRIMARY;
    public static final UniqueKey<CommercialOffersRecord> KEY_COMMERCIAL_OFFERS_IDX_UQ_CONFIG = UniqueKeys0.KEY_COMMERCIAL_OFFERS_IDX_UQ_CONFIG;
    public static final UniqueKey<CurrencyRateRecord> KEY_CURRENCY_RATE_PRIMARY = UniqueKeys0.KEY_CURRENCY_RATE_PRIMARY;
    public static final UniqueKey<DsrMetadataRecord> KEY_DSR_METADATA_PRIMARY = UniqueKeys0.KEY_DSR_METADATA_PRIMARY;
    public static final UniqueKey<DsrMetadataConfigRecord> KEY_DSR_METADATA_CONFIG_PRIMARY = UniqueKeys0.KEY_DSR_METADATA_CONFIG_PRIMARY;
    public static final UniqueKey<DsrStatisticsRecord> KEY_DSR_STATISTICS_PRIMARY = UniqueKeys0.KEY_DSR_STATISTICS_PRIMARY;
    public static final UniqueKey<DsrStatisticsSophiaRecord> KEY_DSR_STATISTICS_SOPHIA_PRIMARY = UniqueKeys0.KEY_DSR_STATISTICS_SOPHIA_PRIMARY;
    public static final UniqueKey<DsrStepsMonitoringRecord> KEY_DSR_STEPS_MONITORING_PRIMARY = UniqueKeys0.KEY_DSR_STEPS_MONITORING_PRIMARY;
    public static final UniqueKey<DsrUnidentifiedRecord> KEY_DSR_UNIDENTIFIED_PRIMARY = UniqueKeys0.KEY_DSR_UNIDENTIFIED_PRIMARY;
    public static final UniqueKey<ImportiAnticipoRecord> KEY_IMPORTI_ANTICIPO_PRIMARY = UniqueKeys0.KEY_IMPORTI_ANTICIPO_PRIMARY;
    public static final UniqueKey<InvoiceRecord> KEY_INVOICE_PRIMARY = UniqueKeys0.KEY_INVOICE_PRIMARY;
    public static final UniqueKey<InvoiceAccantonamentoRecord> KEY_INVOICE_ACCANTONAMENTO_PRIMARY = UniqueKeys0.KEY_INVOICE_ACCANTONAMENTO_PRIMARY;
    public static final UniqueKey<InvoiceItemRecord> KEY_INVOICE_ITEM_PRIMARY = UniqueKeys0.KEY_INVOICE_ITEM_PRIMARY;
    public static final UniqueKey<InvoiceItemToCcidRecord> KEY_INVOICE_ITEM_TO_CCID_PRIMARY = UniqueKeys0.KEY_INVOICE_ITEM_TO_CCID_PRIMARY;
    public static final UniqueKey<InvoiceLogRecord> KEY_INVOICE_LOG_PRIMARY = UniqueKeys0.KEY_INVOICE_LOG_PRIMARY;
    public static final UniqueKey<InvoiceLogRecord> KEY_INVOICE_LOG_INVOICE_LOG_UNIQUE_01 = UniqueKeys0.KEY_INVOICE_LOG_INVOICE_LOG_UNIQUE_01;
    public static final UniqueKey<InvoiceReclamoRecord> KEY_INVOICE_RECLAMO_PRIMARY = UniqueKeys0.KEY_INVOICE_RECLAMO_PRIMARY;
    public static final UniqueKey<ItemInvoiceReasonRecord> KEY_ITEM_INVOICE_REASON_PRIMARY = UniqueKeys0.KEY_ITEM_INVOICE_REASON_PRIMARY;
    public static final UniqueKey<ItemInvoiceReasonRecord> KEY_ITEM_INVOICE_REASON_ITEM_INVOICE_REASON_UNIQUE_01 = UniqueKeys0.KEY_ITEM_INVOICE_REASON_ITEM_INVOICE_REASON_UNIQUE_01;
    public static final UniqueKey<ItemInvoiceReasonRecord> KEY_ITEM_INVOICE_REASON_ITEM_INVOICE_REASON_UNIQUE_02 = UniqueKeys0.KEY_ITEM_INVOICE_REASON_ITEM_INVOICE_REASON_UNIQUE_02;
    public static final UniqueKey<MmBackclaimStatisticsRecord> KEY_MM_BACKCLAIM_STATISTICS_PRIMARY = UniqueKeys0.KEY_MM_BACKCLAIM_STATISTICS_PRIMARY;
    public static final UniqueKey<MmBackclaimStatisticsRecord> KEY_MM_BACKCLAIM_STATISTICS_MM_BACKCLAIM_STATISTICS_ID_DSR_IDX = UniqueKeys0.KEY_MM_BACKCLAIM_STATISTICS_MM_BACKCLAIM_STATISTICS_ID_DSR_IDX;
    public static final UniqueKey<MmRipartizione_648Record> KEY_MM_RIPARTIZIONE_648_PRIMARY = UniqueKeys0.KEY_MM_RIPARTIZIONE_648_PRIMARY;
    public static final UniqueKey<MmRipartizione_648Record> KEY_MM_RIPARTIZIONE_648_MM_RIPARTIZIONE_648_ID_UINDEX = UniqueKeys0.KEY_MM_RIPARTIZIONE_648_MM_RIPARTIZIONE_648_ID_UINDEX;
    public static final UniqueKey<MmRipartizioneCaricoRecord> KEY_MM_RIPARTIZIONE_CARICO_PRIMARY = UniqueKeys0.KEY_MM_RIPARTIZIONE_CARICO_PRIMARY;
    public static final UniqueKey<MmRipartizioneCaricoRecord> KEY_MM_RIPARTIZIONE_CARICO_MM_RIPARTIZIONE_CARICHI_ID_UINDEX = UniqueKeys0.KEY_MM_RIPARTIZIONE_CARICO_MM_RIPARTIZIONE_CARICHI_ID_UINDEX;
    public static final UniqueKey<MmRipartizioneCaricoCcidRecord> KEY_MM_RIPARTIZIONE_CARICO_CCID_PRIMARY = UniqueKeys0.KEY_MM_RIPARTIZIONE_CARICO_CCID_PRIMARY;
    public static final UniqueKey<MmRipartizioneCaricoCcidRecord> KEY_MM_RIPARTIZIONE_CARICO_CCID_MM_RIPARTIZIONE_CARICO_CCID_ID_UINDEX = UniqueKeys0.KEY_MM_RIPARTIZIONE_CARICO_CCID_MM_RIPARTIZIONE_CARICO_CCID_ID_UINDEX;
    public static final UniqueKey<PerfConfigurationRecord> KEY_PERF_CONFIGURATION_PRIMARY = UniqueKeys0.KEY_PERF_CONFIGURATION_PRIMARY;
    public static final UniqueKey<PerfConfigurationSettingsRecord> KEY_PERF_CONFIGURATION_SETTINGS_PRIMARY = UniqueKeys0.KEY_PERF_CONFIGURATION_SETTINGS_PRIMARY;
    public static final UniqueKey<PerfSettingRecord> KEY_PERF_SETTING_PRIMARY = UniqueKeys0.KEY_PERF_SETTING_PRIMARY;
    public static final UniqueKey<RightSplitRecord> KEY_RIGHT_SPLIT_PRIMARY = UniqueKeys0.KEY_RIGHT_SPLIT_PRIMARY;
    public static final UniqueKey<RightSplitRecord> KEY_RIGHT_SPLIT_RIGHT_SPLIT_INDEX_01 = UniqueKeys0.KEY_RIGHT_SPLIT_RIGHT_SPLIT_INDEX_01;
    public static final UniqueKey<SocietaTutelaRecord> KEY_SOCIETA_TUTELA_PRIMARY = UniqueKeys0.KEY_SOCIETA_TUTELA_PRIMARY;
    public static final UniqueKey<SocietaTutelaRecord> KEY_SOCIETA_TUTELA_CODICE = UniqueKeys0.KEY_SOCIETA_TUTELA_CODICE;
    public static final UniqueKey<UnidentifiedSongDsrRecord> KEY_UNIDENTIFIED_SONG_DSR_PRIMARY = UniqueKeys0.KEY_UNIDENTIFIED_SONG_DSR_PRIMARY;

    // -------------------------------------------------------------------------
    // FOREIGN KEY definitions
    // -------------------------------------------------------------------------

    public static final ForeignKey<CcidMetadataRecord, DsrMetadataRecord> FK_ID_DSR_CCID_METADATA = ForeignKeys0.FK_ID_DSR_CCID_METADATA;
    public static final ForeignKey<CcidMetadataRecord, InvoiceItemRecord> FK_ID_INVOICE_ITEM_CCID_METADATA = ForeignKeys0.FK_ID_INVOICE_ITEM_CCID_METADATA;
    public static final ForeignKey<CcidS3PathRecord, DsrMetadataRecord> IDDSR_FK = ForeignKeys0.IDDSR_FK;
    public static final ForeignKey<ClientToDspRecord, AnagClientRecord> FK_CLIENT_TO_DSP_ANAG_CLIENT = ForeignKeys0.FK_CLIENT_TO_DSP_ANAG_CLIENT;
    public static final ForeignKey<DsrMetadataRecord, CommercialOffersRecord> FK_DSR_METADATA_COMMERCIAL_OFFER = ForeignKeys0.FK_DSR_METADATA_COMMERCIAL_OFFER;
    public static final ForeignKey<DsrMetadataRecord, BackclaimInProgressRecord> DSR_METADATA_FK = ForeignKeys0.DSR_METADATA_FK;
    public static final ForeignKey<DsrMetadataConfigRecord, CommercialOffersRecord> FK_ID_COMMERCIAL_OFFER = ForeignKeys0.FK_ID_COMMERCIAL_OFFER;
    public static final ForeignKey<ImportiAnticipoRecord, InvoiceRecord> FK_IMPORTI_ANTICIPO_1 = ForeignKeys0.FK_IMPORTI_ANTICIPO_1;
    public static final ForeignKey<InvoiceRecord, AnagClientRecord> FK_CLIENT_ID_INVOICE = ForeignKeys0.FK_CLIENT_ID_INVOICE;
    public static final ForeignKey<InvoiceAccantonamentoRecord, InvoiceRecord> FK_INVOICE_ACCANTONAMENTO_INVOICE_ID = ForeignKeys0.FK_INVOICE_ACCANTONAMENTO_INVOICE_ID;
    public static final ForeignKey<InvoiceItemRecord, InvoiceRecord> FK_INVOICE_ITEM_INVOICE_ID = ForeignKeys0.FK_INVOICE_ITEM_INVOICE_ID;
    public static final ForeignKey<InvoiceItemRecord, ItemInvoiceReasonRecord> FK_INVOICE_ITEM_DESCRIPTION_INVOICE_ITEM = ForeignKeys0.FK_INVOICE_ITEM_DESCRIPTION_INVOICE_ITEM;
    public static final ForeignKey<InvoiceItemToCcidRecord, CcidMetadataRecord> FK_TO_CCID_METADATA = ForeignKeys0.FK_TO_CCID_METADATA;
    public static final ForeignKey<InvoiceItemToCcidRecord, InvoiceItemRecord> FK_TO_INVOICE_ITEM = ForeignKeys0.FK_TO_INVOICE_ITEM;
    public static final ForeignKey<MmRipartizione_648Record, SocietaTutelaRecord> MM_RIPARTIZIONE_648_ID_SOCIETA_TUTELA_FK = ForeignKeys0.MM_RIPARTIZIONE_648_ID_SOCIETA_TUTELA_FK;
    public static final ForeignKey<MmRipartizioneCaricoCcidRecord, MmRipartizioneCaricoRecord> MM_RIPARTIZIONE_CARICO_CCID_MM_RIPARTIZIONE_CARICHI_ID_FK = ForeignKeys0.MM_RIPARTIZIONE_CARICO_CCID_MM_RIPARTIZIONE_CARICHI_ID_FK;
    public static final ForeignKey<MmRipartizioneCaricoCcidRecord, InvoiceItemToCcidRecord> MM_RIPARTIZIONE_CARICO_CCID_INVOICE_ITEM_TO_CCID_ID_FK = ForeignKeys0.MM_RIPARTIZIONE_CARICO_CCID_INVOICE_ITEM_TO_CCID_ID_FK;
    public static final ForeignKey<PerfConfigurationSettingsRecord, PerfConfigurationRecord> PERF_CONFIGURATION_SETTINGS_IBFK_1 = ForeignKeys0.PERF_CONFIGURATION_SETTINGS_IBFK_1;
    public static final ForeignKey<PerfConfigurationSettingsRecord, PerfSettingRecord> PERF_CONFIGURATION_SETTINGS_IBFK_2 = ForeignKeys0.PERF_CONFIGURATION_SETTINGS_IBFK_2;

    // -------------------------------------------------------------------------
    // [#1459] distribute members to avoid static initialisers > 64kb
    // -------------------------------------------------------------------------

    private static class Identities0 {
        public static Identity<AnagClientRecord, Integer> IDENTITY_ANAG_CLIENT = Internal.createIdentity(AnagClient.ANAG_CLIENT, AnagClient.ANAG_CLIENT.ID_ANAG_CLIENT);
        public static Identity<BackclaimInProgressRecord, Short> IDENTITY_BACKCLAIM_IN_PROGRESS = Internal.createIdentity(BackclaimInProgress.BACKCLAIM_IN_PROGRESS, BackclaimInProgress.BACKCLAIM_IN_PROGRESS.ID_BACKCLAIM_IN_PROGRESS);
        public static Identity<CcidMetadataRecord, Long> IDENTITY_CCID_METADATA = Internal.createIdentity(CcidMetadata.CCID_METADATA, CcidMetadata.CCID_METADATA.ID_CCID_METADATA);
        public static Identity<CcidMetadataDetailsRecord, Long> IDENTITY_CCID_METADATA_DETAILS = Internal.createIdentity(CcidMetadataDetails.CCID_METADATA_DETAILS, CcidMetadataDetails.CCID_METADATA_DETAILS.ID);
        public static Identity<CcidS3PathRecord, Integer> IDENTITY_CCID_S3_PATH = Internal.createIdentity(CcidS3Path.CCID_S3_PATH, CcidS3Path.CCID_S3_PATH.ID_CCID_PATH);
        public static Identity<ClientToDspRecord, Integer> IDENTITY_CLIENT_TO_DSP = Internal.createIdentity(ClientToDsp.CLIENT_TO_DSP, ClientToDsp.CLIENT_TO_DSP.ID);
        public static Identity<CommercialOffersRecord, Integer> IDENTITY_COMMERCIAL_OFFERS = Internal.createIdentity(CommercialOffers.COMMERCIAL_OFFERS, CommercialOffers.COMMERCIAL_OFFERS.ID_COMMERCIAL_OFFERS);
        public static Identity<DsrMetadataConfigRecord, Integer> IDENTITY_DSR_METADATA_CONFIG = Internal.createIdentity(DsrMetadataConfig.DSR_METADATA_CONFIG, DsrMetadataConfig.DSR_METADATA_CONFIG.ID_DSR_METADATA_CONFIG);
        public static Identity<ImportiAnticipoRecord, Integer> IDENTITY_IMPORTI_ANTICIPO = Internal.createIdentity(ImportiAnticipo.IMPORTI_ANTICIPO, ImportiAnticipo.IMPORTI_ANTICIPO.ID_IMPORTO_ANTICIPO);
        public static Identity<InvoiceRecord, Integer> IDENTITY_INVOICE = Internal.createIdentity(Invoice.INVOICE, Invoice.INVOICE.ID_INVOICE);
        public static Identity<InvoiceAccantonamentoRecord, Integer> IDENTITY_INVOICE_ACCANTONAMENTO = Internal.createIdentity(InvoiceAccantonamento.INVOICE_ACCANTONAMENTO, InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.ID_INVOICE_ACCANTONAMENTO);
        public static Identity<InvoiceItemRecord, Integer> IDENTITY_INVOICE_ITEM = Internal.createIdentity(InvoiceItem.INVOICE_ITEM, InvoiceItem.INVOICE_ITEM.ID_ITEM);
        public static Identity<InvoiceItemToCcidRecord, UInteger> IDENTITY_INVOICE_ITEM_TO_CCID = Internal.createIdentity(InvoiceItemToCcid.INVOICE_ITEM_TO_CCID, InvoiceItemToCcid.INVOICE_ITEM_TO_CCID.ID);
        public static Identity<InvoiceLogRecord, Integer> IDENTITY_INVOICE_LOG = Internal.createIdentity(InvoiceLog.INVOICE_LOG, InvoiceLog.INVOICE_LOG.ID_INVOICE_LOG);
        public static Identity<InvoiceReclamoRecord, Integer> IDENTITY_INVOICE_RECLAMO = Internal.createIdentity(InvoiceReclamo.INVOICE_RECLAMO, InvoiceReclamo.INVOICE_RECLAMO.ID_INVOICE_RECLAMO);
        public static Identity<ItemInvoiceReasonRecord, Integer> IDENTITY_ITEM_INVOICE_REASON = Internal.createIdentity(ItemInvoiceReason.ITEM_INVOICE_REASON, ItemInvoiceReason.ITEM_INVOICE_REASON.ID_ITEM_INVOICE_REASON);
        public static Identity<MmBackclaimStatisticsRecord, Long> IDENTITY_MM_BACKCLAIM_STATISTICS = Internal.createIdentity(MmBackclaimStatistics.MM_BACKCLAIM_STATISTICS, MmBackclaimStatistics.MM_BACKCLAIM_STATISTICS.ID);
        public static Identity<MmRipartizione_648Record, Long> IDENTITY_MM_RIPARTIZIONE_648 = Internal.createIdentity(MmRipartizione_648.MM_RIPARTIZIONE_648, MmRipartizione_648.MM_RIPARTIZIONE_648.ID);
        public static Identity<MmRipartizioneCaricoRecord, Long> IDENTITY_MM_RIPARTIZIONE_CARICO = Internal.createIdentity(MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO, MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.ID);
        public static Identity<MmRipartizioneCaricoCcidRecord, Long> IDENTITY_MM_RIPARTIZIONE_CARICO_CCID = Internal.createIdentity(MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID, MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID.ID);
        public static Identity<PerfConfigurationRecord, Integer> IDENTITY_PERF_CONFIGURATION = Internal.createIdentity(PerfConfiguration.PERF_CONFIGURATION, PerfConfiguration.PERF_CONFIGURATION.CONFIGURATION_ID);
        public static Identity<PerfSettingRecord, Integer> IDENTITY_PERF_SETTING = Internal.createIdentity(PerfSetting.PERF_SETTING, PerfSetting.PERF_SETTING.SETTING_ID);
        public static Identity<RightSplitRecord, Long> IDENTITY_RIGHT_SPLIT = Internal.createIdentity(RightSplit.RIGHT_SPLIT, RightSplit.RIGHT_SPLIT.ID);
        public static Identity<SocietaTutelaRecord, Integer> IDENTITY_SOCIETA_TUTELA = Internal.createIdentity(SocietaTutela.SOCIETA_TUTELA, SocietaTutela.SOCIETA_TUTELA.ID);
    }

    private static class UniqueKeys0 {
        public static final UniqueKey<AnagClientRecord> KEY_ANAG_CLIENT_PRIMARY = Internal.createUniqueKey(AnagClient.ANAG_CLIENT, "KEY_ANAG_CLIENT_PRIMARY", AnagClient.ANAG_CLIENT.ID_ANAG_CLIENT);
        public static final UniqueKey<AnagDspRecord> KEY_ANAG_DSP_PRIMARY = Internal.createUniqueKey(AnagDsp.ANAG_DSP, "KEY_ANAG_DSP_PRIMARY", AnagDsp.ANAG_DSP.IDDSP);
        public static final UniqueKey<AnagDspRecord> KEY_ANAG_DSP_CODE_UNIQUE = Internal.createUniqueKey(AnagDsp.ANAG_DSP, "KEY_ANAG_DSP_CODE_UNIQUE", AnagDsp.ANAG_DSP.CODE);
        public static final UniqueKey<AnagDspRecord> KEY_ANAG_DSP_NAME_UNIQUE = Internal.createUniqueKey(AnagDsp.ANAG_DSP, "KEY_ANAG_DSP_NAME_UNIQUE", AnagDsp.ANAG_DSP.NAME);
        public static final UniqueKey<AnagUtilizationTypeRecord> KEY_ANAG_UTILIZATION_TYPE_PRIMARY = Internal.createUniqueKey(AnagUtilizationType.ANAG_UTILIZATION_TYPE, "KEY_ANAG_UTILIZATION_TYPE_PRIMARY", AnagUtilizationType.ANAG_UTILIZATION_TYPE.ID_UTILIZATION_TYPE);
        public static final UniqueKey<BackclaimInProgressRecord> KEY_BACKCLAIM_IN_PROGRESS_PRIMARY = Internal.createUniqueKey(BackclaimInProgress.BACKCLAIM_IN_PROGRESS, "KEY_BACKCLAIM_IN_PROGRESS_PRIMARY", BackclaimInProgress.BACKCLAIM_IN_PROGRESS.ID_BACKCLAIM_IN_PROGRESS);
        public static final UniqueKey<CcidMetadataRecord> KEY_CCID_METADATA_IDX_UQ__CCID_DSR_CCID_METADATA = Internal.createUniqueKey(CcidMetadata.CCID_METADATA, "KEY_CCID_METADATA_IDX_UQ__CCID_DSR_CCID_METADATA", CcidMetadata.CCID_METADATA.ID_CCID, CcidMetadata.CCID_METADATA.ID_DSR);
        public static final UniqueKey<CcidMetadataRecord> KEY_CCID_METADATA_PRIMARY = Internal.createUniqueKey(CcidMetadata.CCID_METADATA, "KEY_CCID_METADATA_PRIMARY", CcidMetadata.CCID_METADATA.ID_CCID_METADATA);
        public static final UniqueKey<CcidMetadataDetailsRecord> KEY_CCID_METADATA_DETAILS_PRIMARY = Internal.createUniqueKey(CcidMetadataDetails.CCID_METADATA_DETAILS, "KEY_CCID_METADATA_DETAILS_PRIMARY", CcidMetadataDetails.CCID_METADATA_DETAILS.ID);
        public static final UniqueKey<CcidMetadataDetailsRecord> KEY_CCID_METADATA_DETAILS_CCID_METADATA_DETAILS_UNIQUE_ID_DSR_SOCIETA_IDX = Internal.createUniqueKey(CcidMetadataDetails.CCID_METADATA_DETAILS, "KEY_CCID_METADATA_DETAILS_CCID_METADATA_DETAILS_UNIQUE_ID_DSR_SOCIETA_IDX", CcidMetadataDetails.CCID_METADATA_DETAILS.ID_DSR, CcidMetadataDetails.CCID_METADATA_DETAILS.SOCIETA);
        public static final UniqueKey<CcidS3PathRecord> KEY_CCID_S3_PATH_PRIMARY = Internal.createUniqueKey(CcidS3Path.CCID_S3_PATH, "KEY_CCID_S3_PATH_PRIMARY", CcidS3Path.CCID_S3_PATH.ID_CCID_PATH);
        public static final UniqueKey<CcidS3PathRecord> KEY_CCID_S3_PATH_IDX_UQ_DSR_CCID_PATH = Internal.createUniqueKey(CcidS3Path.CCID_S3_PATH, "KEY_CCID_S3_PATH_IDX_UQ_DSR_CCID_PATH", CcidS3Path.CCID_S3_PATH.IDDSR, CcidS3Path.CCID_S3_PATH.S3_PATH);
        public static final UniqueKey<ClientToDspRecord> KEY_CLIENT_TO_DSP_PRIMARY = Internal.createUniqueKey(ClientToDsp.CLIENT_TO_DSP, "KEY_CLIENT_TO_DSP_PRIMARY", ClientToDsp.CLIENT_TO_DSP.ID);
        public static final UniqueKey<CommercialOffersRecord> KEY_COMMERCIAL_OFFERS_PRIMARY = Internal.createUniqueKey(CommercialOffers.COMMERCIAL_OFFERS, "KEY_COMMERCIAL_OFFERS_PRIMARY", CommercialOffers.COMMERCIAL_OFFERS.ID_COMMERCIAL_OFFERS);
        public static final UniqueKey<CommercialOffersRecord> KEY_COMMERCIAL_OFFERS_IDX_UQ_CONFIG = Internal.createUniqueKey(CommercialOffers.COMMERCIAL_OFFERS, "KEY_COMMERCIAL_OFFERS_IDX_UQ_CONFIG", CommercialOffers.COMMERCIAL_OFFERS.IDDSP, CommercialOffers.COMMERCIAL_OFFERS.ID_UTIILIZATION_TYPE, CommercialOffers.COMMERCIAL_OFFERS.OFFERING);
        public static final UniqueKey<CurrencyRateRecord> KEY_CURRENCY_RATE_PRIMARY = Internal.createUniqueKey(CurrencyRate.CURRENCY_RATE, "KEY_currency_rate_PRIMARY", CurrencyRate.CURRENCY_RATE.YEAR, CurrencyRate.CURRENCY_RATE.MONTH, CurrencyRate.CURRENCY_RATE.SRC_CURRENCY, CurrencyRate.CURRENCY_RATE.DST_CURRENCY);
        public static final UniqueKey<DsrMetadataRecord> KEY_DSR_METADATA_PRIMARY = Internal.createUniqueKey(DsrMetadata.DSR_METADATA, "KEY_DSR_METADATA_PRIMARY", DsrMetadata.DSR_METADATA.IDDSR);
        public static final UniqueKey<DsrMetadataConfigRecord> KEY_DSR_METADATA_CONFIG_PRIMARY = Internal.createUniqueKey(DsrMetadataConfig.DSR_METADATA_CONFIG, "KEY_DSR_METADATA_CONFIG_PRIMARY", DsrMetadataConfig.DSR_METADATA_CONFIG.ID_DSR_METADATA_CONFIG);
        public static final UniqueKey<DsrStatisticsRecord> KEY_DSR_STATISTICS_PRIMARY = Internal.createUniqueKey(DsrStatistics.DSR_STATISTICS, "KEY_DSR_STATISTICS_PRIMARY", DsrStatistics.DSR_STATISTICS.IDDSR);
        public static final UniqueKey<DsrStatisticsSophiaRecord> KEY_DSR_STATISTICS_SOPHIA_PRIMARY = Internal.createUniqueKey(DsrStatisticsSophia.DSR_STATISTICS_SOPHIA, "KEY_DSR_STATISTICS_SOPHIA_PRIMARY", DsrStatisticsSophia.DSR_STATISTICS_SOPHIA.IDDSR);
        public static final UniqueKey<DsrStepsMonitoringRecord> KEY_DSR_STEPS_MONITORING_PRIMARY = Internal.createUniqueKey(DsrStepsMonitoring.DSR_STEPS_MONITORING, "KEY_DSR_STEPS_MONITORING_PRIMARY", DsrStepsMonitoring.DSR_STEPS_MONITORING.IDDSR);
        public static final UniqueKey<DsrUnidentifiedRecord> KEY_DSR_UNIDENTIFIED_PRIMARY = Internal.createUniqueKey(DsrUnidentified.DSR_UNIDENTIFIED, "KEY_DSR_UNIDENTIFIED_PRIMARY", DsrUnidentified.DSR_UNIDENTIFIED.IDDSR);
        public static final UniqueKey<ImportiAnticipoRecord> KEY_IMPORTI_ANTICIPO_PRIMARY = Internal.createUniqueKey(ImportiAnticipo.IMPORTI_ANTICIPO, "KEY_IMPORTI_ANTICIPO_PRIMARY", ImportiAnticipo.IMPORTI_ANTICIPO.ID_IMPORTO_ANTICIPO);
        public static final UniqueKey<InvoiceRecord> KEY_INVOICE_PRIMARY = Internal.createUniqueKey(Invoice.INVOICE, "KEY_INVOICE_PRIMARY", Invoice.INVOICE.ID_INVOICE);
        public static final UniqueKey<InvoiceAccantonamentoRecord> KEY_INVOICE_ACCANTONAMENTO_PRIMARY = Internal.createUniqueKey(InvoiceAccantonamento.INVOICE_ACCANTONAMENTO, "KEY_INVOICE_ACCANTONAMENTO_PRIMARY", InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.ID_INVOICE_ACCANTONAMENTO);
        public static final UniqueKey<InvoiceItemRecord> KEY_INVOICE_ITEM_PRIMARY = Internal.createUniqueKey(InvoiceItem.INVOICE_ITEM, "KEY_INVOICE_ITEM_PRIMARY", InvoiceItem.INVOICE_ITEM.ID_ITEM);
        public static final UniqueKey<InvoiceItemToCcidRecord> KEY_INVOICE_ITEM_TO_CCID_PRIMARY = Internal.createUniqueKey(InvoiceItemToCcid.INVOICE_ITEM_TO_CCID, "KEY_INVOICE_ITEM_TO_CCID_PRIMARY", InvoiceItemToCcid.INVOICE_ITEM_TO_CCID.ID);
        public static final UniqueKey<InvoiceLogRecord> KEY_INVOICE_LOG_PRIMARY = Internal.createUniqueKey(InvoiceLog.INVOICE_LOG, "KEY_INVOICE_LOG_PRIMARY", InvoiceLog.INVOICE_LOG.ID_INVOICE_LOG);
        public static final UniqueKey<InvoiceLogRecord> KEY_INVOICE_LOG_INVOICE_LOG_UNIQUE_01 = Internal.createUniqueKey(InvoiceLog.INVOICE_LOG, "KEY_INVOICE_LOG_INVOICE_LOG_UNIQUE_01", InvoiceLog.INVOICE_LOG.REQUEST_ID);
        public static final UniqueKey<InvoiceReclamoRecord> KEY_INVOICE_RECLAMO_PRIMARY = Internal.createUniqueKey(InvoiceReclamo.INVOICE_RECLAMO, "KEY_INVOICE_RECLAMO_PRIMARY", InvoiceReclamo.INVOICE_RECLAMO.ID_INVOICE_RECLAMO);
        public static final UniqueKey<ItemInvoiceReasonRecord> KEY_ITEM_INVOICE_REASON_PRIMARY = Internal.createUniqueKey(ItemInvoiceReason.ITEM_INVOICE_REASON, "KEY_ITEM_INVOICE_REASON_PRIMARY", ItemInvoiceReason.ITEM_INVOICE_REASON.ID_ITEM_INVOICE_REASON);
        public static final UniqueKey<ItemInvoiceReasonRecord> KEY_ITEM_INVOICE_REASON_ITEM_INVOICE_REASON_UNIQUE_01 = Internal.createUniqueKey(ItemInvoiceReason.ITEM_INVOICE_REASON, "KEY_ITEM_INVOICE_REASON_ITEM_INVOICE_REASON_UNIQUE_01", ItemInvoiceReason.ITEM_INVOICE_REASON.CODE);
        public static final UniqueKey<ItemInvoiceReasonRecord> KEY_ITEM_INVOICE_REASON_ITEM_INVOICE_REASON_UNIQUE_02 = Internal.createUniqueKey(ItemInvoiceReason.ITEM_INVOICE_REASON, "KEY_ITEM_INVOICE_REASON_ITEM_INVOICE_REASON_UNIQUE_02", ItemInvoiceReason.ITEM_INVOICE_REASON.DESCRIPTION);
        public static final UniqueKey<MmBackclaimStatisticsRecord> KEY_MM_BACKCLAIM_STATISTICS_PRIMARY = Internal.createUniqueKey(MmBackclaimStatistics.MM_BACKCLAIM_STATISTICS, "KEY_MM_BACKCLAIM_STATISTICS_PRIMARY", MmBackclaimStatistics.MM_BACKCLAIM_STATISTICS.ID);
        public static final UniqueKey<MmBackclaimStatisticsRecord> KEY_MM_BACKCLAIM_STATISTICS_MM_BACKCLAIM_STATISTICS_ID_DSR_IDX = Internal.createUniqueKey(MmBackclaimStatistics.MM_BACKCLAIM_STATISTICS, "KEY_MM_BACKCLAIM_STATISTICS_MM_BACKCLAIM_STATISTICS_ID_DSR_IDX", MmBackclaimStatistics.MM_BACKCLAIM_STATISTICS.ID_DSR);
        public static final UniqueKey<MmRipartizione_648Record> KEY_MM_RIPARTIZIONE_648_PRIMARY = Internal.createUniqueKey(MmRipartizione_648.MM_RIPARTIZIONE_648, "KEY_MM_RIPARTIZIONE_648_PRIMARY", MmRipartizione_648.MM_RIPARTIZIONE_648.ID);
        public static final UniqueKey<MmRipartizione_648Record> KEY_MM_RIPARTIZIONE_648_MM_RIPARTIZIONE_648_ID_UINDEX = Internal.createUniqueKey(MmRipartizione_648.MM_RIPARTIZIONE_648, "KEY_MM_RIPARTIZIONE_648_MM_RIPARTIZIONE_648_ID_uindex", MmRipartizione_648.MM_RIPARTIZIONE_648.ID);
        public static final UniqueKey<MmRipartizioneCaricoRecord> KEY_MM_RIPARTIZIONE_CARICO_PRIMARY = Internal.createUniqueKey(MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO, "KEY_MM_RIPARTIZIONE_CARICO_PRIMARY", MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.ID);
        public static final UniqueKey<MmRipartizioneCaricoRecord> KEY_MM_RIPARTIZIONE_CARICO_MM_RIPARTIZIONE_CARICHI_ID_UINDEX = Internal.createUniqueKey(MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO, "KEY_MM_RIPARTIZIONE_CARICO_MM_RIPARTIZIONE_CARICHI_ID_uindex", MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.ID);
        public static final UniqueKey<MmRipartizioneCaricoCcidRecord> KEY_MM_RIPARTIZIONE_CARICO_CCID_PRIMARY = Internal.createUniqueKey(MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID, "KEY_MM_RIPARTIZIONE_CARICO_CCID_PRIMARY", MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID.ID);
        public static final UniqueKey<MmRipartizioneCaricoCcidRecord> KEY_MM_RIPARTIZIONE_CARICO_CCID_MM_RIPARTIZIONE_CARICO_CCID_ID_UINDEX = Internal.createUniqueKey(MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID, "KEY_MM_RIPARTIZIONE_CARICO_CCID_MM_RIPARTIZIONE_CARICO_CCID_ID_uindex", MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID.ID);
        public static final UniqueKey<PerfConfigurationRecord> KEY_PERF_CONFIGURATION_PRIMARY = Internal.createUniqueKey(PerfConfiguration.PERF_CONFIGURATION, "KEY_PERF_CONFIGURATION_PRIMARY", PerfConfiguration.PERF_CONFIGURATION.CONFIGURATION_ID);
        public static final UniqueKey<PerfConfigurationSettingsRecord> KEY_PERF_CONFIGURATION_SETTINGS_PRIMARY = Internal.createUniqueKey(PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS, "KEY_PERF_CONFIGURATION_SETTINGS_PRIMARY", PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS.CONFIGURATION_ID, PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS.SETTINGS_ID);
        public static final UniqueKey<PerfSettingRecord> KEY_PERF_SETTING_PRIMARY = Internal.createUniqueKey(PerfSetting.PERF_SETTING, "KEY_PERF_SETTING_PRIMARY", PerfSetting.PERF_SETTING.SETTING_ID);
        public static final UniqueKey<RightSplitRecord> KEY_RIGHT_SPLIT_PRIMARY = Internal.createUniqueKey(RightSplit.RIGHT_SPLIT, "KEY_RIGHT_SPLIT_PRIMARY", RightSplit.RIGHT_SPLIT.ID);
        public static final UniqueKey<RightSplitRecord> KEY_RIGHT_SPLIT_RIGHT_SPLIT_INDEX_01 = Internal.createUniqueKey(RightSplit.RIGHT_SPLIT, "KEY_RIGHT_SPLIT_RIGHT_SPLIT_INDEX_01", RightSplit.RIGHT_SPLIT.COUNTRY, RightSplit.RIGHT_SPLIT.ID_UTILIZATION_TYPE, RightSplit.RIGHT_SPLIT.VALID_FROM);
        public static final UniqueKey<SocietaTutelaRecord> KEY_SOCIETA_TUTELA_PRIMARY = Internal.createUniqueKey(SocietaTutela.SOCIETA_TUTELA, "KEY_SOCIETA_TUTELA_PRIMARY", SocietaTutela.SOCIETA_TUTELA.ID);
        public static final UniqueKey<SocietaTutelaRecord> KEY_SOCIETA_TUTELA_CODICE = Internal.createUniqueKey(SocietaTutela.SOCIETA_TUTELA, "KEY_SOCIETA_TUTELA_CODICE", SocietaTutela.SOCIETA_TUTELA.CODICE);
        public static final UniqueKey<UnidentifiedSongDsrRecord> KEY_UNIDENTIFIED_SONG_DSR_PRIMARY = Internal.createUniqueKey(UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR, "KEY_unidentified_song_dsr_PRIMARY", UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR.ID_UTIL);
    }

    private static class ForeignKeys0 {
        public static final ForeignKey<CcidMetadataRecord, DsrMetadataRecord> FK_ID_DSR_CCID_METADATA = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_DSR_METADATA_PRIMARY, CcidMetadata.CCID_METADATA, "FK_ID_DSR_CCID_METADATA", CcidMetadata.CCID_METADATA.ID_DSR);
        public static final ForeignKey<CcidMetadataRecord, InvoiceItemRecord> FK_ID_INVOICE_ITEM_CCID_METADATA = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_INVOICE_ITEM_PRIMARY, CcidMetadata.CCID_METADATA, "FK_ID_INVOICE_ITEM_CCID_METADATA", CcidMetadata.CCID_METADATA.INVOICE_ITEM);
        public static final ForeignKey<CcidS3PathRecord, DsrMetadataRecord> IDDSR_FK = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_DSR_METADATA_PRIMARY, CcidS3Path.CCID_S3_PATH, "IDDSR_FK", CcidS3Path.CCID_S3_PATH.IDDSR);
        public static final ForeignKey<ClientToDspRecord, AnagClientRecord> FK_CLIENT_TO_DSP_ANAG_CLIENT = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_ANAG_CLIENT_PRIMARY, ClientToDsp.CLIENT_TO_DSP, "FK_CLIENT_TO_DSP_ANAG_CLIENT", ClientToDsp.CLIENT_TO_DSP.ANAG_CLIENT_ID);
        public static final ForeignKey<DsrMetadataRecord, CommercialOffersRecord> FK_DSR_METADATA_COMMERCIAL_OFFER = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_COMMERCIAL_OFFERS_PRIMARY, DsrMetadata.DSR_METADATA, "FK_DSR_METADATA_COMMERCIAL_OFFER", DsrMetadata.DSR_METADATA.SERVICE_CODE);
        public static final ForeignKey<DsrMetadataRecord, BackclaimInProgressRecord> DSR_METADATA_FK = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_BACKCLAIM_IN_PROGRESS_PRIMARY, DsrMetadata.DSR_METADATA, "DSR_METADATA_FK", DsrMetadata.DSR_METADATA.ID_BACKCLAIM_IN_PROGRESS);
        public static final ForeignKey<DsrMetadataConfigRecord, CommercialOffersRecord> FK_ID_COMMERCIAL_OFFER = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_COMMERCIAL_OFFERS_PRIMARY, DsrMetadataConfig.DSR_METADATA_CONFIG, "FK_ID_COMMERCIAL_OFFER", DsrMetadataConfig.DSR_METADATA_CONFIG.ID_COMMERCIAL_OFFER);
        public static final ForeignKey<ImportiAnticipoRecord, InvoiceRecord> FK_IMPORTI_ANTICIPO_1 = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_INVOICE_PRIMARY, ImportiAnticipo.IMPORTI_ANTICIPO, "fk_IMPORTI_ANTICIPO_1", ImportiAnticipo.IMPORTI_ANTICIPO.ID_INVOICE);
        public static final ForeignKey<InvoiceRecord, AnagClientRecord> FK_CLIENT_ID_INVOICE = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_ANAG_CLIENT_PRIMARY, Invoice.INVOICE, "FK_CLIENT_ID_INVOICE", Invoice.INVOICE.CLIENT_ID);
        public static final ForeignKey<InvoiceAccantonamentoRecord, InvoiceRecord> FK_INVOICE_ACCANTONAMENTO_INVOICE_ID = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_INVOICE_PRIMARY, InvoiceAccantonamento.INVOICE_ACCANTONAMENTO, "FK_INVOICE_ACCANTONAMENTO_INVOICE_ID", InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.ID_INVOICE);
        public static final ForeignKey<InvoiceItemRecord, InvoiceRecord> FK_INVOICE_ITEM_INVOICE_ID = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_INVOICE_PRIMARY, InvoiceItem.INVOICE_ITEM, "FK_INVOICE_ITEM_INVOICE_ID", InvoiceItem.INVOICE_ITEM.ID_INVOICE);
        public static final ForeignKey<InvoiceItemRecord, ItemInvoiceReasonRecord> FK_INVOICE_ITEM_DESCRIPTION_INVOICE_ITEM = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_ITEM_INVOICE_REASON_PRIMARY, InvoiceItem.INVOICE_ITEM, "FK_INVOICE_ITEM_DESCRIPTION_INVOICE_ITEM", InvoiceItem.INVOICE_ITEM.DESCRIPTION);
        public static final ForeignKey<InvoiceItemToCcidRecord, CcidMetadataRecord> FK_TO_CCID_METADATA = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_CCID_METADATA_PRIMARY, InvoiceItemToCcid.INVOICE_ITEM_TO_CCID, "FK_TO_CCID_METADATA", InvoiceItemToCcid.INVOICE_ITEM_TO_CCID.ID_CCID_METADATA);
        public static final ForeignKey<InvoiceItemToCcidRecord, InvoiceItemRecord> FK_TO_INVOICE_ITEM = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_INVOICE_ITEM_PRIMARY, InvoiceItemToCcid.INVOICE_ITEM_TO_CCID, "FK_TO_INVOICE_ITEM", InvoiceItemToCcid.INVOICE_ITEM_TO_CCID.ID_INVOICE_ITEM);
        public static final ForeignKey<MmRipartizione_648Record, SocietaTutelaRecord> MM_RIPARTIZIONE_648_ID_SOCIETA_TUTELA_FK = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_SOCIETA_TUTELA_PRIMARY, MmRipartizione_648.MM_RIPARTIZIONE_648, "MM_RIPARTIZIONE_648_ID_SOCIETA_TUTELA_fk", MmRipartizione_648.MM_RIPARTIZIONE_648.ID_SOCIETA_TUTELA);
        public static final ForeignKey<MmRipartizioneCaricoCcidRecord, MmRipartizioneCaricoRecord> MM_RIPARTIZIONE_CARICO_CCID_MM_RIPARTIZIONE_CARICHI_ID_FK = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_MM_RIPARTIZIONE_CARICO_PRIMARY, MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID, "MM_RIPARTIZIONE_CARICO_CCID_MM_RIPARTIZIONE_CARICHI_ID_fk", MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID.ID_RIPARTIZIONE_CARICO);
        public static final ForeignKey<MmRipartizioneCaricoCcidRecord, InvoiceItemToCcidRecord> MM_RIPARTIZIONE_CARICO_CCID_INVOICE_ITEM_TO_CCID_ID_FK = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_INVOICE_ITEM_TO_CCID_PRIMARY, MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID, "MM_RIPARTIZIONE_CARICO_CCID_INVOICE_ITEM_TO_CCID_id_fk", MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID.ID_INVOICE_ITEM_TO_CCID);
        public static final ForeignKey<PerfConfigurationSettingsRecord, PerfConfigurationRecord> PERF_CONFIGURATION_SETTINGS_IBFK_1 = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_PERF_CONFIGURATION_PRIMARY, PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS, "PERF_CONFIGURATION_SETTINGS_ibfk_1", PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS.CONFIGURATION_ID);
        public static final ForeignKey<PerfConfigurationSettingsRecord, PerfSettingRecord> PERF_CONFIGURATION_SETTINGS_IBFK_2 = Internal.createForeignKey(com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.Keys.KEY_PERF_SETTING_PRIMARY, PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS, "PERF_CONFIGURATION_SETTINGS_ibfk_2", PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS.SETTINGS_ID);
    }
}
